# sandesha2_storage_mgr.h File Reference

`#include <platforms/axutil_platform_auto_sense.h>`
`#include <axutil_utils_defines.h>`
`#include <axutil_env.h>`
`#include <axiom_soap_envelope.h>`
`#include <axis2_conf_ctx.h>`
`#include <axis2_module_desc.h>`
`#include <sandesha2_transaction.h>`

Go to the source code of this file.

## Classes
struct | sandesha2_storage_mgr_ops
| Storage Manager ops struct Encapsulator struct for ops of sandesha2_storage_mgr. More...
struct | sandesha2_storage_mgr

## Detailed Description

## Function Documentation

AXIS2_EXTERN axis2_status_t sandesha2_storage_mgr_free_void_arg | ( | void * | storage_mgr,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees the storage_mgr given as a void pointer. This method would cast the void parameter to an storage_mgr pointer and then call free method.

Parameters:

  | storage_mgr | pointer to storage_mgr as a void pointer
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

axis2_msg_ctx_t* sandesha2_storage_mgr_retrieve_msg_ctx | ( | sandesha2_storage_mgr_t * | storage_mgr,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | key,
|  | axis2_conf_ctx_t * | conf_ctx,
|  | const axis2_bool_t | persistent |
| ) |  |  |

Retrieve the stored message context.

Parameters:

  | storage_mgr |
  | env | environment object
  | key | message storage key
  | conf_ctx | configuration context

Returns:
  newly created axis2_msg_ctx object.

axis2_status_t sandesha2_storage_mgr_store_msg_ctx | ( | sandesha2_storage_mgr_t * | storage_mgr,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | key,
|  | axis2_msg_ctx_t * | msg_ctx,
|  | axis2_bool_t | store_in_memory |
| ) |  |  |

Store the application message context. When Sandesha2 handlers receive application messages it will be first stored in inmemory/persistent storage until it is later qualified for sending to the destination

Parameters:

  | storage_mgr |
  | env | environment object
  | key | message storage key.
  | msg_ctx | message context

Returns:
  status of the operation